cdac.medinfo.model

## Class DocumentationOfInfo

- java.lang.Object
- - cdac.medinfo.model.DocumentationOfInfo

-     public class DocumentationOfInfo
      extends java.lang.Object

  This class specify the details of Documentation Of.

  This class has the following attributes:

  1. EffectiveDateofDocument (EffectiveDateTime)
  2. Performer (List`<Performer>`)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentationOfInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EffectiveDateTime` | `getEffectiveDateofDocument()` Returns the time the actual event (as opposed to the encounter surrounding the event) took place.
    `java.util.List<Performer>` | `getPerformer()` Returns the List of Performer.
    `void` | `setEffectiveDateofDocument(EffectiveDateTime objEffectiveDateofDocument)` Sets time the actual event (as opposed to the encounter surrounding the event) took place.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentationOfInfo

          public DocumentationOfInfo()

  - ### Method Detail

    - #### getEffectiveDateofDocument

          public EffectiveDateTime getEffectiveDateofDocument()

      Returns the time the actual event (as opposed to the encounter surrounding the event) took place.
      Returns:
        the objEffectiveDateofDocument

    - #### setEffectiveDateofDocument

          public void setEffectiveDateofDocument(EffectiveDateTime objEffectiveDateofDocument)

      Sets time the actual event (as opposed to the encounter surrounding the event) took place.
      Parameters:
        `objEffectiveDateofDocument` - Specifies time the actual event (as opposed to the encounter surrounding the event) took place.

    - #### getPerformer

          public java.util.List<Performer> getPerformer()

      Returns the List of Performer.
      Returns:
        the objPerformer